Show / Hide Table of Contents

# Class GameContextMenuItem

An item in a context menu that with a specific game action.

##### Inheritance

System.Object
ContextMenuItem
GameContextMenuItem

##### Inherited Members

ContextMenuItem.Name
ContextMenuItem.IsEnabled
ContextMenuItem.Indicator
ContextMenuItem.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Game.Gui.ContextMenus

###### Assembly: Dalamud.dll

##### Syntax

    public class GameContextMenuItem : ContextMenuItem

### Constructors

| Improve this Doc View Source

#### GameContextMenuItem(SeString, Byte)

Initializes a new instance of the GameContextMenuItem class.

##### Declaration

    public GameContextMenuItem(SeString name, byte selectedAction)

##### Parameters

Type | Name | Description
--- | --- | ---
SeString | name | The name of the item.
System.Byte | selectedAction | The game action that will be handled when the item is selected.

### Properties

| Improve this Doc View Source

#### SelectedAction

Gets the game action that will be handled when the item is selected.

##### Declaration

    public byte SelectedAction { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

### Methods

| Improve this Doc View Source

#### GetHashCode()

##### Declaration

    public override int GetHashCode()

##### Returns

Type | Description
--- | ---
System.Int32 |

##### Overrides

ContextMenuItem.GetHashCode()